BizKitHub
DocsAPI ReferenceBranch Cost/bff/branch-cost/create
postBranch CostAdmin BFF

/bff/branch-cost/create

Create a recurring branch cost

Branch CostpostBffBranch-costCreate

Parameters

JSON body

Request body

application/json
branchSlugstringRequired
namestringRequired
Length: 1200
category"rent" | "energy" | "utilities" | "cleaning" | "marketing" | "payroll" | "supplies" | "insurance" | "taxes" | "services" | "other"Required
type"fixed" | "variable"Required
defaultAmountMoneynumberRequired

Amount in minor units (cents / haléře). Non-negative.

Range: 0
currencystringOptional

ISO 4217 — defaults to the organisation default currency.

appliesFromstringRequired

ISO YYYY-MM-DD.

appliesTostring | nullOptional
One of 2:
Variant 1
string

ISO YYYY-MM-DD or null = open-ended.

Variant 2
null
isActivebooleanOptional
recurringIntervalMonthsnumberOptional
Range: 136
paymentDayOfMonthnumber | nullOptional
One of 2:
Variant 1
number

Day of month due, 1..28.

Range: 128
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
contactExternalIdstring | nullOptional
One of 2:
Variant 1
string

External id of the supplier (shop__contact.external_id) — the party this cost is paid to.

Variant 2
null
payerContactExternalIdstring | nullOptional
One of 2:
Variant 1
string

External id of the "PLÁTCE" (shop__contact.external_id) — the party liable to pay. Omit to leave the branch itself as the implicit payer.

Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
costIdstringRequired

Response example

application/json
{
  "success": false,
  "costId": "example_costId"
}

Request example

POST /bff/branch-cost/create

post
curl -X POST "https://api.bizkithub.com/bff/branch-cost/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "branchSlug": "example_branchSlug",
  "name": "example_name",
  "defaultAmountMoney": 0,
  "currency": "example_currency",
  "appliesFrom": "example_appliesFrom",
  "isActive": false,
  "recurringIntervalMonths": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key